#### Examples

### Fractals?

A fractal is a self-similar geometric shape. Self-similarity means that parts of the shape contain reduced-size copies of the shape which again contain reduced-size copies of the shape. Take a look at the predefined configuration "Bird". The birds red and orange beak is a smaller bird itself. That birds beak again is a smaller version of the whole shape.

### Usage

You can change the iteration sample by moving the points in the small box to the left. A click on the buttons below this box adds and removes points. There have to be at least 2, and can be at most 9 points. A segments iteration type can be changed by clicking on it. It then changes its color:

- White: The iteration rule will be applied to this segment.
- Green: No iteration will be applied to this segment, but the segment will be drawn.
- Yellow: No iteration will be applied and the segment will be invisible.

Click Draw to generate the fractal.